commit d09f7b40795dad8406cbce401b181e7cae6d37f4
Author: Andreas Kohlbecker <a.kohlbecker@bgbm.org>
Date:   Thu Apr 14 12:05:14 2016 +0200

    centralizing dependency versions and managing libraries in lib/ through maven

diff --git a/.gitignore b/.gitignore
index 353a280db..a80633085 100644
--- a/.gitignore
+++ b/.gitignore
@@ -29,4 +29,5 @@ eu.etaxonomy.taxeditor.webapp/lib/cdmlib-remote-webapp.war
 /*.patch
 /eu.etaxonomy.taxeditor.webapp/.settings/org.eclipse.core.resources.prefs
 /eu.etaxonomy.taxeditor.webapp/.settings/org.eclipse.m2e.core.prefs
+/eu.etaxonomy.taxeditor.webapp/lib/
 
diff --git a/eu.etaxonomy.taxeditor.cdmlib/pom.xml b/eu.etaxonomy.taxeditor.cdmlib/pom.xml
index 09b3a2e08..19a421bf1 100644
--- a/eu.etaxonomy.taxeditor.cdmlib/pom.xml
+++ b/eu.etaxonomy.taxeditor.cdmlib/pom.xml
@@ -444,7 +444,7 @@
     <dependency>
       <groupId>com.mchange</groupId>
       <artifactId>c3p0</artifactId>
-      <version>0.9.2</version>
+      <version>${c3p0.version}</version>
     </dependency>
     <dependency>
       <groupId>org.jboss.spec.javax.transaction</groupId>
diff --git a/eu.etaxonomy.taxeditor.test/pom.xml b/eu.etaxonomy.taxeditor.test/pom.xml
index bd42c10cb..f67047a0c 100644
--- a/eu.etaxonomy.taxeditor.test/pom.xml
+++ b/eu.etaxonomy.taxeditor.test/pom.xml
@@ -129,18 +129,18 @@
               this must exactly match the version as set in 
               cdmlib-parent pom.xml
             -->
-            <version>0.9.5.2</version>
+            <version>${c3p0.version}</version>
           </dependency>
           <!-- DATABASE DRIVER -->
           <dependency>
             <groupId>com.h2database</groupId>
             <artifactId>h2</artifactId>
-            <version>1.4.190</version>
+            <version>${h2.version}</version>
           </dependency>
           <dependency>
             <groupId>mysql</groupId>
             <artifactId>mysql-connector-java</artifactId>
-            <version>5.1.38</version>
+            <version>${mysql.version}</version>
           </dependency>
           <dependency>
               <groupId>commons-dbcp</groupId>
diff --git a/eu.etaxonomy.taxeditor.webapp/lib/c3p0-0.9.5.2.jar b/eu.etaxonomy.taxeditor.webapp/lib/c3p0-0.9.5.2.jar
deleted file mode 100644
index 579cedd98..000000000
Binary files a/eu.etaxonomy.taxeditor.webapp/lib/c3p0-0.9.5.2.jar and /dev/null differ
diff --git a/eu.etaxonomy.taxeditor.webapp/lib/javax.servlet-api-3.1.0.jar b/eu.etaxonomy.taxeditor.webapp/lib/javax.servlet-api-3.1.0.jar
deleted file mode 100644
index 6b14c3d26..000000000
Binary files a/eu.etaxonomy.taxeditor.webapp/lib/javax.servlet-api-3.1.0.jar and /dev/null differ
diff --git a/eu.etaxonomy.taxeditor.webapp/lib/jetty-all-9.2.9.v20150224.jar b/eu.etaxonomy.taxeditor.webapp/lib/jetty-all-9.2.9.v20150224.jar
deleted file mode 100644
index 2926f45e7..000000000
Binary files a/eu.etaxonomy.taxeditor.webapp/lib/jetty-all-9.2.9.v20150224.jar and /dev/null differ
diff --git a/eu.etaxonomy.taxeditor.webapp/lib/log4j-1.2.17.jar b/eu.etaxonomy.taxeditor.webapp/lib/log4j-1.2.17.jar
deleted file mode 100644
index 1d425cf7d..000000000
Binary files a/eu.etaxonomy.taxeditor.webapp/lib/log4j-1.2.17.jar and /dev/null differ
diff --git a/eu.etaxonomy.taxeditor.webapp/lib/mysql-connector-java-5.1.24.jar b/eu.etaxonomy.taxeditor.webapp/lib/mysql-connector-java-5.1.24.jar
deleted file mode 100644
index c640a8d1a..000000000
Binary files a/eu.etaxonomy.taxeditor.webapp/lib/mysql-connector-java-5.1.24.jar and /dev/null differ
diff --git a/eu.etaxonomy.taxeditor.webapp/pom.xml b/eu.etaxonomy.taxeditor.webapp/pom.xml
index 7135effae..2e9728a2a 100644
--- a/eu.etaxonomy.taxeditor.webapp/pom.xml
+++ b/eu.etaxonomy.taxeditor.webapp/pom.xml
@@ -11,7 +11,6 @@
   <packaging>eclipse-plugin</packaging>
   <name>CDM Library Webapp Plugin</name>
   <description>CDM Library webapp as a plugin</description>
-
   <build>
     <pluginManagement>
       <plugins>
@@ -53,8 +52,8 @@
               <goal>copy-dependencies</goal>
             </goals>
             <configuration>
-              <includeArtifactIds><!--  Comma separated list of Artifact names to include -->
-                c3p0,mchange-commons-java,h2
+              <includeArtifactIds>
+                c3p0,mchange-commons-java,h2,mysql-connector-java,log4j,javax.servlet-api,jetty-all
               </includeArtifactIds>
               <outputDirectory>
                 ${basedir}/lib
@@ -126,23 +125,43 @@
     <dependency>
       <groupId>com.h2database</groupId>
       <artifactId>h2</artifactId>
-      <version>1.4.190</version>
+      <version>${h2.version}</version>
+    </dependency>
+    <dependency>
+      <groupId>com.h2database</groupId>
+      <artifactId>h2</artifactId>
+      <version>${h2.version}</version>
+    </dependency>
+    <dependency>
+        <groupId>mysql</groupId>
+        <artifactId>mysql-connector-java</artifactId>
+        <version>5.1.24</version>
     </dependency>
      <dependency>
       <groupId>com.mchange</groupId>
       <artifactId>c3p0</artifactId>
-      <!-- 
-        IMPORTANT!!!
-        this must exactly match the version as set in 
-        cdmlib-parent pom.xml
-      -->
-      <version>0.9.5.2</version>
+      <version>${c3p0.version}</version>
      </dependency>
      <dependency>
         <groupId>com.mchange</groupId>
         <artifactId>mchange-commons-java</artifactId>
-        <version>0.2.11</version>
+        <version>${mchange-commons-java.version}</version>
      </dependency>
+     <dependency>
+        <groupId>log4j</groupId>
+        <artifactId>log4j</artifactId>
+        <version>${log4j.version}</version>
+    </dependency>
+    <dependency>
+        <groupId>javax.servlet</groupId>
+        <artifactId>javax.servlet-api</artifactId>
+        <version>3.1.0</version>
+    </dependency>
+    <dependency>
+        <groupId>org.eclipse.jetty.aggregate</groupId>
+        <artifactId>jetty-all</artifactId>
+        <version>9.2.9.v20150224</version>
+    </dependency>
   </dependencies>
 </project>
 
diff --git a/pom.xml b/pom.xml
index 2d28e140b..898cc7e86 100644
--- a/pom.xml
+++ b/pom.xml
@@ -24,6 +24,19 @@
     <taxeditor.version>4.0.0-SNAPSHOT</taxeditor.version>
     <update.dir>snapshot</update.dir>
     <unitils.version>3.4.2</unitils.version>
+    <log4j.version>1.2.17</log4j.version>
+    <!-- data base driver related properties -->
+    <mysql.version>5.1.38</mysql.version>
+    <h2.version>1.4.190</h2.version>
+    <!-- 
+      IMPORTANT!!!
+      c3p0.version must exactly match the version as 
+      set in cdmlib-parent pom.xml
+    -->
+    <c3p0.version>0.9.5.2</c3p0.version>
+    <!-- mchange-commons-java needs to match the version as defined in the c3p0/pom.xml -->
+    <mchange-commons-java.version>0.2.11</mchange-commons-java.version>
+    
   </properties>
   <modules>
     <module>eu.etaxonomy.taxeditor.cdmlib</module>